TESTING/EIG/cchkec.f(3)

NAME
TESTING/EIG/cchkec.f

SYNOPSIS

  Functions/Subroutines
subroutine cchkec (thresh, tsterr, nin, nout)
CCHKEC

Function/Subroutine Documentation

  subroutine cchkec (real thresh, logical tsterr, integer nin, integer nout)

CCHKEC

Purpose:

    !>
    !> CCHKEC tests eigen- condition estimation routines
    !>        CTRSYL, CTRSYL3, CTREXC, CTRSNA, CTRSEN
    !>
    !> In all cases, the routine runs through a fixed set of numerical
    !> examples, subjects them to various tests, and compares the test
    !> results to a threshold THRESH. In addition, CTRSNA and CTRSEN are
    !> tested by reading in precomputed examples from a file (on input unit
    !> NIN).  Output is written to output unit NOUT.
    !>

Parameters
    THRESH

    !>          THRESH is REAL
    !>          Threshold for residual tests.  A computed test ratio passes
    !>          the threshold if it is less than THRESH.
    !>

    TSTERR

    !>          TSTERR is LOGICAL
    !>          Flag that indicates whether error exits are to be tested.
    !>

    NIN

    !>          NIN is INTEGER
    !>          The logical unit number for input.
    !>

    NOUT

    !>          NOUT is INTEGER
    !>          The logical unit number for output.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 74 of file cchkec.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.